Package Details: wiredtiger 3.1.1.20190808-1

Git Clone URL: https://aur.archlinux.org/wiredtiger.git (read-only)
Package Base: wiredtiger
Description: High performance, scalable, production quality, NoSQL, Open Source extensible platform for data management
Upstream URL: http://source.wiredtiger.com/
Licenses: GPL
Submitter: felixonmars
Maintainer: chrbayer (jamespharvey20)
Last Packager: jamespharvey20
Votes: 6
Popularity: 0.23
First Submitted: 2019-01-18 22:09
Last Updated: 2019-08-10 02:45

Pinned Comments

jamespharvey20 commented on 2019-08-21 22:53

As of 4.2.0, this is no longer required by aur/mongodb.

Upstream broke mongodb from using wiredtiger as a separate library. Apparently they don't test having them be separate during development or testing.

Upstream advised to not have them be separate packages at least for now, with it being unknown if they will get around to fixing them to be able to be separate again, or will just remove the option entirely. https://jira.mongodb.org/browse/SERVER-42813

Because that leaves this package only required by aur/mongodb-3.4, I think it's best to leave the package at this version and no longer update it, unless 4.2.x is fixed so they can be separate again, or something stops working with mongodb-3.4.

Latest Comments

« First ‹ Previous 1 2 3 4

haawda commented on 2019-01-27 15:04

Plase try this prepare-function

prepare() {
  find  ${pkgname%-git} -name "*.py" -exec sed -i '1s+python+python2+' {} \;
}

chrbayer commented on 2019-01-26 12:53

Hi,

building this package with only stable packages installed, I get the following error during build:

cc -DHAVE_CONFIG_H -I. -I./api/leveldb -I./src/include -D_FORTIFY_SOURCE=2 -std=c11 -D_GNU_SOURCE -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -MT src/utilities/util_drop.o -MD -MP -MF $depbase.Tpo -c -o src/utilities/util_drop.o src/utilities/util_drop.c &&\ mv -f $depbase.Tpo $depbase.Po File "wtperf_config.py", line 24 print '@par ' + v[0] + ' (' + v[3] + ', default=' + d + ')' ^ SyntaxError: invalid syntax Error: No word lists can be found for the language "en".

This leads at the end to: make[2]: [Makefile:3651: docs/index.html] Error 1 make[2]: Waiting for unfinished jobs.... libtool: compile: cc -DHAVE_CONFIG_H -I. -I./api/leveldb -I./src/include -D_FORTIFY_SOURCE=2 -std=c11 -D_GNU_SOURCE -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -MT src/config/config_ext.lo -MD -MP -MF src/config/.deps/config_ext.Tpo -c src/config/config_ext.c -fPIC -DPIC -o src/config/.libs/config_ext.o libtool: compile: cc -DHAVE_CONFIG_H -I. -I./api/leveldb -I./src/include -D_FORTIFY_SOURCE=2 -std=c11 -D_GNU_SOURCE -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -MT src/config/config_upgrade.lo -MD -MP -MF src/config/.deps/config_upgrade.Tpo -c src/config/config_upgrade.c -fPIC -DPIC -o src/config/.libs/config_upgrade.o libtool: compile: cc -DHAVE_CONFIG_H -I. -I./api/leveldb -I./src/include -D_FORTIFY_SOURCE=2 -std=c11 -D_GNU_SOURCE -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -MT src/config/config_ext.lo -MD -MP -MF src/config/.deps/config_ext.Tpo -c src/config/config_ext.c -fPIC -DPIC -o src/config/config_ext.o >/dev/null 2>&1 libtool: compile: cc -DHAVE_CONFIG_H -I. -I./api/leveldb -I./src/include -D_FORTIFY_SOURCE=2 -std=c11 -D_GNU_SOURCE -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -MT src/config/config_upgrade.lo -MD -MP -MF src/config/.deps/config_upgrade.Tpo -c src/config/config_upgrade.c -fPIC -DPIC -o src/config/config_upgrade.o >/dev/null 2>&1 make[2]: Leaving directory '/tmp/yaytmp/wiredtiger/src/wiredtiger-3.1.0.20181203' make[1]: [Makefile:2686: all-recursive] Error 1 make[1]: Leaving directory '/tmp/yaytmp/wiredtiger/src/wiredtiger-3.1.0.20181203' make: [Makefile:1380: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

What can cause this problem? The sources itself build without problem...

Thank you very much in advance!

Best regards, Chris